Commit 374f9199 authored by Herbert Valerio Riedel's avatar Herbert Valerio Riedel 🕺
Browse files

Update Cabal submodule to latest HEAD snapshot

parent 5a494d8e
Subproject commit ecdf65a3c1e01b798e9d073258a6d1c8ff63a6d8 Subproject commit 9accafebff3743fc499fa6d565d55ba25326db28
...@@ -24,6 +24,6 @@ Executable check-api-annotations ...@@ -24,6 +24,6 @@ Executable check-api-annotations
Build-Depends: base >= 4 && < 5, Build-Depends: base >= 4 && < 5,
containers, containers,
Cabal >= 1.22 && <1.24, Cabal >= 1.25 && <1.27,
directory, directory,
ghc ghc
...@@ -21,7 +21,7 @@ Executable ghc-cabal ...@@ -21,7 +21,7 @@ Executable ghc-cabal
Build-Depends: base >= 3 && < 5, Build-Depends: base >= 3 && < 5,
bytestring >= 0.10 && < 0.11, bytestring >= 0.10 && < 0.11,
Cabal >= 1.22 && < 1.24, Cabal >= 1.25 && < 1.27,
directory >= 1.1 && < 1.3, directory >= 1.1 && < 1.3,
filepath >= 1.2 && < 1.5 filepath >= 1.2 && < 1.5
...@@ -188,7 +188,7 @@ flagsFromCabal distPref = do ...@@ -188,7 +188,7 @@ flagsFromCabal distPref = do
let bi = libBuildInfo lib let bi = libBuildInfo lib
odir = buildDir lbi odir = buildDir lbi
opts = componentGhcOptions V.normal lbi bi clbi odir opts = componentGhcOptions V.normal lbi bi clbi odir
in return $ renderGhcOptions (compiler lbi) opts in return $ renderGhcOptions (compiler lbi) (hostPlatform lbi) opts
_ -> error "no library" _ -> error "no library"
---------------------------------------------------------------- ----------------------------------------------------------------
......
...@@ -18,6 +18,6 @@ Executable ghctags ...@@ -18,6 +18,6 @@ Executable ghctags
Build-Depends: base >= 4 && < 5, Build-Depends: base >= 4 && < 5,
containers, containers,
Cabal >= 1.22 && <1.24, Cabal >= 1.25 && <1.27,
ghc ghc
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment